org.eclipse.jgit.util

## Class GSSManagerFactory

- java.lang.Object
- - org.eclipse.jgit.util.GSSManagerFactory

    public abstract class GSSManagerFactory
    extends Object

Factory to detect which GSSManager implementation should be used.

Since:
  3.4

### Constructor Summary

Constructors
Constructor and Description
`GSSManagerFactory()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static GSSManagerFactory` `detect()` Auto-detects the GSSManager factory to use based on system.
`abstract GSSManager` `newInstance(URL url)` Returns a GSS Manager instance for the provided url

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GSSManagerFactory

    public GSSManagerFactory()

### Method Detail

#### detect

    public static GSSManagerFactory detect()

Auto-detects the GSSManager factory to use based on system.

Returns:
  detected GSSManager factory

#### newInstance

    public abstract GSSManager newInstance(URL url)

Returns a GSS Manager instance for the provided url

Parameters:
  `url` - the repository url
Returns:
  a GSSManager instance